# How This API Document Is Organized

This API (Application Programming Interface) document has pages corresponding to the items in the navigation bar, described as follows.

### Overview

> The Overview page is the front page of this API document and provides a list of all packages with a summary for each. This page can also contain an overall description of the set of packages.

### Package

> Each package has a page that contains a list of its classes and interfaces, with a summary for each. This page can contain four categories:

> - Interfaces (italic)
> - Classes
> - Exceptions
> - Errors

### Class/Interface

> Each class, interface, inner class and inner interface has its own separate page. Each of these pages has three sections consisting of a class/interface description, summary tables, and detailed member descriptions:

> - Class inheritance diagram
> - Direct Subclasses
> - All Known Subinterfaces
> - All Known Implementing Classes
> - Class/interface declaration
> - Class/interface description

> - Inner Class Summary
> - Field Summary
> - Constructor Summary
> - Method Summary

> - Field Detail
> - Constructor Detail
> - Method Detail
> Each summary entry contains the first sentence from the detailed description for that item. The summary entries are alphabetical, while the detailed descriptions are in the order they appear in the source code. This preserves the logical groupings established by the programmer.

### Prev/Next

These links take you to the next or previous class, interface, package, or related page.

### Frames/No Frames

These links show and hide the HTML frames. All pages are available with or without frames.

### Serialized Form

Each serializable or externalizable class has a description of its serialization fields and methods. This information is of interest to re-implementors, not to developers using the API. While there is no link in the navigation bar, you can get to this information by going to any serialized class and clicking "Serialized Form" in the "See also" section of the class description.

This help file applies to API documentation generated using the standard doclet.